searchNodes=[{"ref":"Ed25519Blake2b.html","title":"Ed25519Blake2b","type":"module","doc":"This module is a Rustler NIF to work with ed25519 signatures that use the blake2b hash function instead of the default sha2 hash."},{"ref":"Ed25519Blake2b.html#derive_public_key/1","title":"Ed25519Blake2b.derive_public_key/1","type":"function","doc":"Derives a public key from the given secret key Examples iex&gt; secret_key = &lt;&lt;0::size(256)&gt;&gt; iex&gt; Ed25519Blake2b.derive_public_key(secret_key) {:ok, &lt;&lt;25, 211, 217, 25, 71, 93, 238, 212, 105, 107, 93, 19, 1, 129, 81, 209, 175, 136, 178, 189, 59, 207, 240, 72, 180, 80, 49, 193, 243, 109, 24, 88&gt;&gt;}"},{"ref":"Ed25519Blake2b.html#hash/2","title":"Ed25519Blake2b.hash/2","type":"function","doc":"Hashes the given binary with blake2b. The wanted digest size must be given as the second argument. Examples iex&gt; Ed25519Blake2b.hash(&lt;&lt;1::size(256)&gt;&gt;, 64) &lt;&lt;80, 215, 143, 126, 134, 151, 51, 16, 101, 153, 28, 99, 130, 186, 180, 138, 51, 200, 158, 95, 10, 169, 32, 137, 253, 245, 141, 218, 226, 132, 3, 160, 89, 53, 205, 166, 217, 210, 138, 232, 47, 171, 21, 140, 143, 38, 164, 213, 146, 68, 74, 165, 182, 158, 3, 174, 3, 236, 97, 105, 5, 196, 26, 34&gt;&gt; iex&gt; Ed25519Blake2b.hash(&lt;&lt;1::size(256)&gt;&gt;, 32) &lt;&lt;51, 228, 35, 152, 12, 155, 55, 208, 72, 189, 95, 173, 189, 74, 42, 235, 149, 20, 105, 34, 4, 84, 5, 172, 204, 47, 70, 141, 14, 249, 105, 136&gt;&gt; iex&gt; Ed25519Blake2b.hash(&lt;&lt;1::size(256)&gt;&gt;, 8) &lt;&lt;227, 49, 254, 188, 154, 93, 147, 75&gt;&gt;"},{"ref":"Ed25519Blake2b.html#sign/2","title":"Ed25519Blake2b.sign/2","type":"function","doc":"Signs a message with the given keypair. If one only has the secret key available, use derive_public_key/1 to get the public key. Examples iex&gt; secret_key = &lt;&lt;0::size(256)&gt;&gt; iex&gt; {:ok, public_key} = Ed25519Blake2b.derive_public_key(secret_key) iex&gt; Ed25519Blake2b.sign(secret_key&lt;&gt;public_key, &lt;&lt;1,2,3&gt;&gt;) {:ok, &lt;&lt;243, 9, 109, 70, 37, 126, 5, 16, 109, 224, 98, 241, 73, 133, 99, 45, 129, 124, 203, 148, 20, 11, 163, 171, 84, 107, 144, 194, 34, 12, 21, 11, 222, 17, 36, 206, 253, 136, 26, 169, 153, 90, 49, 179, 160, 248, 248, 45, 63, 111, 181, 6, 241, 254, 48, 185, 6, 190, 205, 135, 205, 23, 121, 1&gt;&gt;}"},{"ref":"Ed25519Blake2b.html#verify/3","title":"Ed25519Blake2b.verify/3","type":"function","doc":"Verifies that the signature is valid for the given message and public key. Examples iex&gt; secret_key = &lt;&lt;0::size(256)&gt;&gt; iex&gt; {:ok, public_key} = Ed25519Blake2b.derive_public_key(secret_key) iex&gt; {:ok, signature} = Ed25519Blake2b.sign(secret_key&lt;&gt;public_key, &lt;&lt;1,2,3&gt;&gt;) iex&gt; Ed25519Blake2b.verify(&lt;&lt;1,2,3&gt;&gt;, signature, public_key) :ok iex&gt; Ed25519Blake2b.verify(&lt;&lt;3,2,1&gt;&gt;, signature, public_key) {:error, :invalid_signature}"},{"ref":"Ed25519Blake2b.html#verify_batch/3","title":"Ed25519Blake2b.verify_batch/3","type":"function","doc":"Verifies that the signatures are valid for the given messages and public keys. The length of each input list should be equal. Each signature will be verified against the message and public key at the corresponding index. The function will return an error if any signature is invalid. Examples iex&gt; sk1 = &lt;&lt;0::size(256)&gt;&gt; iex&gt; sk2 = &lt;&lt;1::size(256)&gt;&gt; iex&gt; {:ok, pk1} = Ed25519Blake2b.derive_public_key(sk1) iex&gt; {:ok, pk2} = Ed25519Blake2b.derive_public_key(sk2) iex&gt; msg1 = &lt;&lt;1,2,3&gt;&gt; iex&gt; msg2 = &lt;&lt;1,2,3,4,5,6,7,8&gt;&gt; iex&gt; {:ok, sig1} = Ed25519Blake2b.sign(sk1&lt;&gt;pk1, msg1) iex&gt; {:ok, sig2} = Ed25519Blake2b.sign(sk2&lt;&gt;pk2, msg2) iex&gt; Ed25519Blake2b.verify_batch([msg1, msg2], [sig1, sig2], [pk1, pk2]) :ok iex&gt; Ed25519Blake2b.verify_batch([msg1, msg2, msg2], [sig1, sig2, sig2], [pk1, pk2, pk1]) {:error, :invalid_signature}"},{"ref":"Ed25519Blake2b.html#t:keypair/0","title":"Ed25519Blake2b.keypair/0","type":"type","doc":"Keypair is secret_key concatenated with public key: secret_key&lt;&gt;public_key"},{"ref":"Ed25519Blake2b.html#t:public_key/0","title":"Ed25519Blake2b.public_key/0","type":"type","doc":""},{"ref":"Ed25519Blake2b.html#t:secret_key/0","title":"Ed25519Blake2b.secret_key/0","type":"type","doc":""},{"ref":"Ed25519Blake2b.html#t:signature/0","title":"Ed25519Blake2b.signature/0","type":"type","doc":""},{"ref":"Ed25519Blake2b.Native.html","title":"Ed25519Blake2b.Native","type":"module","doc":""},{"ref":"Ed25519Blake2b.Native.html#derive_public_key/1","title":"Ed25519Blake2b.Native.derive_public_key/1","type":"function","doc":""},{"ref":"Ed25519Blake2b.Native.html#hash/2","title":"Ed25519Blake2b.Native.hash/2","type":"function","doc":""},{"ref":"Ed25519Blake2b.Native.html#sign/2","title":"Ed25519Blake2b.Native.sign/2","type":"function","doc":""},{"ref":"Ed25519Blake2b.Native.html#verify/3","title":"Ed25519Blake2b.Native.verify/3","type":"function","doc":""},{"ref":"Ed25519Blake2b.Native.html#verify_batch/3","title":"Ed25519Blake2b.Native.verify_batch/3","type":"function","doc":""},{"ref":"readme.html","title":"Ed25519Blake2b","type":"extras","doc":"Ed25519Blake2b Elixir NIF for working with ed25519 signatures with blake2b hashing. Created with rustler."},{"ref":"readme.html#installation","title":"Ed25519Blake2b - Installation","type":"extras","doc":"The package can be installed by adding ed25519_blake2b to your list of dependencies in mix.exs: def deps do [ {:ed25519_blake2b, &quot;~&gt; 0.1.0&quot;} ] end The docs can be found at https://hexdocs.pm/ed25519_blake2b."}]